require 'spec_helper'
require 'rees46'

describe REES46::Recommender do
  it 'has an array of all possible recommenders' do
    expect(REES46::Recommender::RECOMMENDER_TYPES).to be_an(Array)
  end

  it 'has a method shortcut for each recommender type' do
    REES46::Recommender::RECOMMENDER_TYPES.each do |recommender_type|
      expect(REES46::Recommender).to respond_to(recommender_type)
    end
  end

  describe 'interesting' do
    before do
      REES46.configure do |config|
        config.shop_id = test_shop_id
        config.user_id = test_user_id
        config.session_id = test_session_id
      end
    end

    it 'sends request' do
      REES46::Recommender.interesting(item_id: 25, limit: 10, category: 25, locations: [5,123,91], cart: [25, 1, 4])
    end
  end

end
