require 'spec_helper'
require 'rees46'

describe REES46 do
  describe '.configure' do
    it 'stores shop_id' do
      REES46.configure do |config|
        config.shop_id = test_shop_id
      end

      expect(REES46.configuration.shop_id).to eq(test_shop_id)
    end

    it 'stores user_id' do
      REES46.configure do |config|
        config.session_id = test_session_id
        config.user_id = test_user_id
      end

      expect(REES46.configuration.user_id).to eq(test_user_id)
    end

    context 'when session_id is provided' do
      it 'stores session_id' do
        REES46.configure do |config|
          config.session_id = test_session_id
        end

        expect(REES46.configuration.session_id).to eq(test_session_id)
      end
    end

    context 'when session_id is not provided' do
      it 'requests session_id from api' do
        REES46.configure do |config|
          config.shop_id = test_shop_id
        end

        expect(REES46.configuration.session_id).to be_present
      end
    end
  end
end
