require 'pry'
require 'webmock/rspec'

def test_shop_id
  '5bb5e4e023d775b1e6c3206758a206c6'
end

def test_session_id
  'ea4c1fe1ae6c155195274161d1dcf695'
end

def test_user_id
  46
end

RSpec.configure do |config|
  config.raise_errors_for_deprecations!
  config.order = 'random'

  config.before :each do
    stub_request(:get, "http://api.rees46.com/generate_ssid?shop_id=#{test_shop_id}&ssid=&user_id=").
      to_return(:status => 200, :body => "#{test_session_id}", :headers => {})

    ['view', 'cart', 'remove_from_cart'].each do |event|
      stub_request(:post, "http://api.rees46.com/push").
           with(:body => "event=#{event}&item_id[0]=1&price[0]=1500.25&available[0]=true&category[0]=15&shop_id=5bb5e4e023d775b1e6c3206758a206c6&ssid=ea4c1fe1ae6c155195274161d1dcf695&user_id=46").
           to_return(:status => 200, :body => "", :headers => {})
    end

    stub_request(:post, "http://api.rees46.com/push").
             with(:body => "order_id=25&event=purchase&item_id[0]=1&price[0]=1500&available[0]=true&category[0]=15&amount[0]=5&item_id[1]=2&price[1]=300&available[1]=true&category[1]=2&amount[1]=1&shop_id=5bb5e4e023d775b1e6c3206758a206c6&ssid=ea4c1fe1ae6c155195274161d1dcf695&user_id=46").
             to_return(:status => 200, :body => "", :headers => {})

    stub_request(:get, "http://api.rees46.com/recommend?cart%5B0%5D=25&cart%5B1%5D=1&cart%5B2%5D=4&category=25&item_id=25&limit=10&locations=5,123,91&recommender_type=interesting&shop_id=5bb5e4e023d775b1e6c3206758a206c6&ssid=ea4c1fe1ae6c155195274161d1dcf695&user_id=46").
         to_return(:status => 200, :body => "", :headers => {})

    REES46.configuration = nil
  end
end
